package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:MatterDatum
* date: 2021-9-17 15:55:12
*/
public class MatterDatumQuery extends MatterDatumEntity{
    private static final long serialVersionUID = 1631865312115L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 材料名 */
    private List<String> materialNameList;
    /** 开始 事项基础表matter id */
    private Long matterIdStart;

    /** 结束 事项基础表matter id */
    private Long matterIdEnd;

    /** 增加 事项基础表matter id */
    private Long matterIdIncrement;

    /** 事项基础表matter id */
    private List <Long> matterIdList;


    /** 开始 材料形式 */
    private Integer materialPropertyStart;

    /** 结束 材料形式 */
    private Integer materialPropertyEnd;

    /** 增加 材料形式 */
    private Integer materialPropertyIncrement;

    /** 材料形式 */
    private List <Integer> materialPropertyList;

    /** 开始 是否必交，0 否 1 是 默认0 */
    private Integer isMustStart;

    /** 结束 是否必交，0 否 1 是 默认0 */
    private Integer isMustEnd;

    /** 增加 是否必交，0 否 1 是 默认0 */
    private Integer isMustIncrement;

    /** 是否必交，0 否 1 是 默认0 */
    private List <Integer> isMustList;

    /** 开始 材料类型 */
    private Integer materialTypeStart;

    /** 结束 材料类型 */
    private Integer materialTypeEnd;

    /** 增加 材料类型 */
    private Integer materialTypeIncrement;

    /** 材料类型 */
    private List <Integer> materialTypeList;

    /** 开始 电子材料格式 */
    private Integer electronicgsStart;

    /** 结束 电子材料格式 */
    private Integer electronicgsEnd;

    /** 增加 电子材料格式 */
    private Integer electronicgsIncrement;

    /** 电子材料格式 */
    private List <Integer> electronicgsList;

    /** 开始 材料来源渠道 */
    private Integer materialSourceStart;

    /** 结束 材料来源渠道 */
    private Integer materialSourceEnd;

    /** 增加 材料来源渠道 */
    private Integer materialSourceIncrement;

    /** 材料来源渠道 */
    private List <Integer> materialSourceList;

    /** 开始 纸质材料份数 */
    private Integer paperNumStart;

    /** 结束 纸质材料份数 */
    private Integer paperNumEnd;

    /** 增加 纸质材料份数 */
    private Integer paperNumIncrement;

    /** 纸质材料份数 */
    private List <Integer> paperNumList;

    /** 开始 纸质材料规格 */
    private Integer paperGgStart;

    /** 结束 纸质材料规格 */
    private Integer paperGgEnd;

    /** 增加 纸质材料规格 */
    private Integer paperGgIncrement;

    /** 纸质材料规格 */
    private List <Integer> paperGgList;

    /** 纸质材料规格文本 */
    private List<String> paperGgTextList;

    /** 开始 减免模式 */
    private Integer jianmMsStart;

    /** 结束 减免模式 */
    private Integer jianmMsEnd;

    /** 增加 减免模式 */
    private Integer jianmMsIncrement;

    /** 减免模式 */
    private List <Integer> jianmMsList;

    /** 开始 盖章方式 */
    private Integer sealWayStart;

    /** 结束 盖章方式 */
    private Integer sealWayEnd;

    /** 增加 盖章方式 */
    private Integer sealWayIncrement;

    /** 盖章方式 */
    private List <Integer> sealWayList;

    /** 盖章方式文本显示 */
    private List<String> sealWayTextList;

    /** 开始 是否减免 */
    private Integer isjianmStart;

    /** 结束 是否减免 */
    private Integer isjianmEnd;

    /** 增加 是否减免 */
    private Integer isjianmIncrement;

    /** 是否减免 */
    private List <Integer> isjianmList;

    /** 开始 材料是否容缺 */
    private Integer isLackStart;

    /** 结束 材料是否容缺 */
    private Integer isLackEnd;

    /** 增加 材料是否容缺 */
    private Integer isLackIncrement;

    /** 材料是否容缺 */
    private List <Integer> isLackList;

    /** 材料地址 */
    private List<String> ybUrlList;

    /** 来源渠道说明 */
    private List<String> materialSourceSmList;

    /** 填报须知 */
    private List<String> remarkSubList;

    /** 要求提供材料的依据 */
    private List<String> clauseContentList;

    /** 备注 */
    private List<String> remarkList;

    /** 受理标准 */
    private List<String> summaryList;

    /** 开始 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceStart;

    /** 结束 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceEnd;

    /** 增加 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceIncrement;

    /** 事项来源，0：政务网，1：自定义，默认0 */
    private List <Integer> sourceList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterDatumQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterDatumQuery> andConditionList;


    public MatterDatumQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 材料名
    * @return materialNameList
    */
    public List<String> getMaterialNameList(){
        return this.materialNameList;
    }

    /**
    * 设置 材料名
    * @param materialNameList
    */
    public void setMaterialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
    }
    /**
    * 获取 开始 事项基础表matter id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
    return this.matterIdStart;
    }

    /**
    * 设置 开始 事项基础表matter id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
    this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项基础表matter id
    * @return matterIdEnd
    */
    public Long getMatterIdEnd(){
    return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项基础表matter id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
    this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项基础表matter id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
    return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项基础表matter id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
    this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项基础表matter id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
    return this.matterIdList;
    }

    /**
    * 设置 事项基础表matter id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        }
    /**
    * 获取 开始 材料形式
    * @return materialPropertyStart
    */
    public Integer getMaterialPropertyStart(){
        return this.materialPropertyStart;
    }

    /**
    * 设置 开始 材料形式
    * @param materialPropertyStart
    */
    public void setMaterialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
    }

    /**
    * 获取 结束 材料形式
    * @return materialPropertyEnd
    */
    public Integer getMaterialPropertyEnd(){
        return this.materialPropertyEnd;
    }

    /**
    * 设置 结束 材料形式
    * @param materialPropertyEnd
    */
    public void setMaterialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
    }

    /**
    * 获取 增加 材料形式
    * @return materialPropertyIncrement
    */
    public Integer getMaterialPropertyIncrement(){
        return this.materialPropertyIncrement;
    }

    /**
    * 设置 增加 材料形式
    * @param materialPropertyIncrement
    */
    public void setMaterialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
    }

    /**
    * 获取 材料形式
    * @return materialPropertyList
    */
    public List<Integer> getMaterialPropertyList(){
        return this.materialPropertyList;
    }

    /**
    * 设置 材料形式
    * @param materialPropertyList
    */
    public void setMaterialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
    }
    /**
    * 获取 开始 是否必交，0 否 1 是 默认0
    * @return isMustStart
    */
    public Integer getIsMustStart(){
        return this.isMustStart;
    }

    /**
    * 设置 开始 是否必交，0 否 1 是 默认0
    * @param isMustStart
    */
    public void setIsMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
    }

    /**
    * 获取 结束 是否必交，0 否 1 是 默认0
    * @return isMustEnd
    */
    public Integer getIsMustEnd(){
        return this.isMustEnd;
    }

    /**
    * 设置 结束 是否必交，0 否 1 是 默认0
    * @param isMustEnd
    */
    public void setIsMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
    }

    /**
    * 获取 增加 是否必交，0 否 1 是 默认0
    * @return isMustIncrement
    */
    public Integer getIsMustIncrement(){
        return this.isMustIncrement;
    }

    /**
    * 设置 增加 是否必交，0 否 1 是 默认0
    * @param isMustIncrement
    */
    public void setIsMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
    }

    /**
    * 获取 是否必交，0 否 1 是 默认0
    * @return isMustList
    */
    public List<Integer> getIsMustList(){
        return this.isMustList;
    }

    /**
    * 设置 是否必交，0 否 1 是 默认0
    * @param isMustList
    */
    public void setIsMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
    }
    /**
    * 获取 开始 材料类型
    * @return materialTypeStart
    */
    public Integer getMaterialTypeStart(){
        return this.materialTypeStart;
    }

    /**
    * 设置 开始 材料类型
    * @param materialTypeStart
    */
    public void setMaterialTypeStart(Integer materialTypeStart){
        this.materialTypeStart = materialTypeStart;
    }

    /**
    * 获取 结束 材料类型
    * @return materialTypeEnd
    */
    public Integer getMaterialTypeEnd(){
        return this.materialTypeEnd;
    }

    /**
    * 设置 结束 材料类型
    * @param materialTypeEnd
    */
    public void setMaterialTypeEnd(Integer materialTypeEnd){
        this.materialTypeEnd = materialTypeEnd;
    }

    /**
    * 获取 增加 材料类型
    * @return materialTypeIncrement
    */
    public Integer getMaterialTypeIncrement(){
        return this.materialTypeIncrement;
    }

    /**
    * 设置 增加 材料类型
    * @param materialTypeIncrement
    */
    public void setMaterialTypeIncrement(Integer materialTypeIncrement){
        this.materialTypeIncrement = materialTypeIncrement;
    }

    /**
    * 获取 材料类型
    * @return materialTypeList
    */
    public List<Integer> getMaterialTypeList(){
        return this.materialTypeList;
    }

    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public void setMaterialTypeList(List<Integer> materialTypeList){
        this.materialTypeList = materialTypeList;
    }
    /**
    * 获取 开始 电子材料格式
    * @return electronicgsStart
    */
    public Integer getElectronicgsStart(){
        return this.electronicgsStart;
    }

    /**
    * 设置 开始 电子材料格式
    * @param electronicgsStart
    */
    public void setElectronicgsStart(Integer electronicgsStart){
        this.electronicgsStart = electronicgsStart;
    }

    /**
    * 获取 结束 电子材料格式
    * @return electronicgsEnd
    */
    public Integer getElectronicgsEnd(){
        return this.electronicgsEnd;
    }

    /**
    * 设置 结束 电子材料格式
    * @param electronicgsEnd
    */
    public void setElectronicgsEnd(Integer electronicgsEnd){
        this.electronicgsEnd = electronicgsEnd;
    }

    /**
    * 获取 增加 电子材料格式
    * @return electronicgsIncrement
    */
    public Integer getElectronicgsIncrement(){
        return this.electronicgsIncrement;
    }

    /**
    * 设置 增加 电子材料格式
    * @param electronicgsIncrement
    */
    public void setElectronicgsIncrement(Integer electronicgsIncrement){
        this.electronicgsIncrement = electronicgsIncrement;
    }

    /**
    * 获取 电子材料格式
    * @return electronicgsList
    */
    public List<Integer> getElectronicgsList(){
        return this.electronicgsList;
    }

    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public void setElectronicgsList(List<Integer> electronicgsList){
        this.electronicgsList = electronicgsList;
    }
    /**
    * 获取 开始 材料来源渠道
    * @return materialSourceStart
    */
    public Integer getMaterialSourceStart(){
        return this.materialSourceStart;
    }

    /**
    * 设置 开始 材料来源渠道
    * @param materialSourceStart
    */
    public void setMaterialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
    }

    /**
    * 获取 结束 材料来源渠道
    * @return materialSourceEnd
    */
    public Integer getMaterialSourceEnd(){
        return this.materialSourceEnd;
    }

    /**
    * 设置 结束 材料来源渠道
    * @param materialSourceEnd
    */
    public void setMaterialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
    }

    /**
    * 获取 增加 材料来源渠道
    * @return materialSourceIncrement
    */
    public Integer getMaterialSourceIncrement(){
        return this.materialSourceIncrement;
    }

    /**
    * 设置 增加 材料来源渠道
    * @param materialSourceIncrement
    */
    public void setMaterialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
    }

    /**
    * 获取 材料来源渠道
    * @return materialSourceList
    */
    public List<Integer> getMaterialSourceList(){
        return this.materialSourceList;
    }

    /**
    * 设置 材料来源渠道
    * @param materialSourceList
    */
    public void setMaterialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
    }
    /**
    * 获取 开始 纸质材料份数
    * @return paperNumStart
    */
    public Integer getPaperNumStart(){
        return this.paperNumStart;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public void setPaperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
    }

    /**
    * 获取 结束 纸质材料份数
    * @return paperNumEnd
    */
    public Integer getPaperNumEnd(){
        return this.paperNumEnd;
    }

    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public void setPaperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
    }

    /**
    * 获取 增加 纸质材料份数
    * @return paperNumIncrement
    */
    public Integer getPaperNumIncrement(){
        return this.paperNumIncrement;
    }

    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public void setPaperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
    }

    /**
    * 获取 纸质材料份数
    * @return paperNumList
    */
    public List<Integer> getPaperNumList(){
        return this.paperNumList;
    }

    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public void setPaperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
    }
    /**
    * 获取 开始 纸质材料规格
    * @return paperGgStart
    */
    public Integer getPaperGgStart(){
        return this.paperGgStart;
    }

    /**
    * 设置 开始 纸质材料规格
    * @param paperGgStart
    */
    public void setPaperGgStart(Integer paperGgStart){
        this.paperGgStart = paperGgStart;
    }

    /**
    * 获取 结束 纸质材料规格
    * @return paperGgEnd
    */
    public Integer getPaperGgEnd(){
        return this.paperGgEnd;
    }

    /**
    * 设置 结束 纸质材料规格
    * @param paperGgEnd
    */
    public void setPaperGgEnd(Integer paperGgEnd){
        this.paperGgEnd = paperGgEnd;
    }

    /**
    * 获取 增加 纸质材料规格
    * @return paperGgIncrement
    */
    public Integer getPaperGgIncrement(){
        return this.paperGgIncrement;
    }

    /**
    * 设置 增加 纸质材料规格
    * @param paperGgIncrement
    */
    public void setPaperGgIncrement(Integer paperGgIncrement){
        this.paperGgIncrement = paperGgIncrement;
    }

    /**
    * 获取 纸质材料规格
    * @return paperGgList
    */
    public List<Integer> getPaperGgList(){
        return this.paperGgList;
    }

    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public void setPaperGgList(List<Integer> paperGgList){
        this.paperGgList = paperGgList;
    }
    /**
    * 获取 纸质材料规格文本
    * @return paperGgTextList
    */
    public List<String> getPaperGgTextList(){
        return this.paperGgTextList;
    }

    /**
    * 设置 纸质材料规格文本
    * @param paperGgTextList
    */
    public void setPaperGgTextList(List<String> paperGgTextList){
        this.paperGgTextList = paperGgTextList;
    }
    /**
    * 获取 开始 减免模式
    * @return jianmMsStart
    */
    public Integer getJianmMsStart(){
        return this.jianmMsStart;
    }

    /**
    * 设置 开始 减免模式
    * @param jianmMsStart
    */
    public void setJianmMsStart(Integer jianmMsStart){
        this.jianmMsStart = jianmMsStart;
    }

    /**
    * 获取 结束 减免模式
    * @return jianmMsEnd
    */
    public Integer getJianmMsEnd(){
        return this.jianmMsEnd;
    }

    /**
    * 设置 结束 减免模式
    * @param jianmMsEnd
    */
    public void setJianmMsEnd(Integer jianmMsEnd){
        this.jianmMsEnd = jianmMsEnd;
    }

    /**
    * 获取 增加 减免模式
    * @return jianmMsIncrement
    */
    public Integer getJianmMsIncrement(){
        return this.jianmMsIncrement;
    }

    /**
    * 设置 增加 减免模式
    * @param jianmMsIncrement
    */
    public void setJianmMsIncrement(Integer jianmMsIncrement){
        this.jianmMsIncrement = jianmMsIncrement;
    }

    /**
    * 获取 减免模式
    * @return jianmMsList
    */
    public List<Integer> getJianmMsList(){
        return this.jianmMsList;
    }

    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public void setJianmMsList(List<Integer> jianmMsList){
        this.jianmMsList = jianmMsList;
    }
    /**
    * 获取 开始 盖章方式
    * @return sealWayStart
    */
    public Integer getSealWayStart(){
        return this.sealWayStart;
    }

    /**
    * 设置 开始 盖章方式
    * @param sealWayStart
    */
    public void setSealWayStart(Integer sealWayStart){
        this.sealWayStart = sealWayStart;
    }

    /**
    * 获取 结束 盖章方式
    * @return sealWayEnd
    */
    public Integer getSealWayEnd(){
        return this.sealWayEnd;
    }

    /**
    * 设置 结束 盖章方式
    * @param sealWayEnd
    */
    public void setSealWayEnd(Integer sealWayEnd){
        this.sealWayEnd = sealWayEnd;
    }

    /**
    * 获取 增加 盖章方式
    * @return sealWayIncrement
    */
    public Integer getSealWayIncrement(){
        return this.sealWayIncrement;
    }

    /**
    * 设置 增加 盖章方式
    * @param sealWayIncrement
    */
    public void setSealWayIncrement(Integer sealWayIncrement){
        this.sealWayIncrement = sealWayIncrement;
    }

    /**
    * 获取 盖章方式
    * @return sealWayList
    */
    public List<Integer> getSealWayList(){
        return this.sealWayList;
    }

    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public void setSealWayList(List<Integer> sealWayList){
        this.sealWayList = sealWayList;
    }
    /**
    * 获取 盖章方式文本显示
    * @return sealWayTextList
    */
    public List<String> getSealWayTextList(){
        return this.sealWayTextList;
    }

    /**
    * 设置 盖章方式文本显示
    * @param sealWayTextList
    */
    public void setSealWayTextList(List<String> sealWayTextList){
        this.sealWayTextList = sealWayTextList;
    }
    /**
    * 获取 开始 是否减免
    * @return isjianmStart
    */
    public Integer getIsjianmStart(){
        return this.isjianmStart;
    }

    /**
    * 设置 开始 是否减免
    * @param isjianmStart
    */
    public void setIsjianmStart(Integer isjianmStart){
        this.isjianmStart = isjianmStart;
    }

    /**
    * 获取 结束 是否减免
    * @return isjianmEnd
    */
    public Integer getIsjianmEnd(){
        return this.isjianmEnd;
    }

    /**
    * 设置 结束 是否减免
    * @param isjianmEnd
    */
    public void setIsjianmEnd(Integer isjianmEnd){
        this.isjianmEnd = isjianmEnd;
    }

    /**
    * 获取 增加 是否减免
    * @return isjianmIncrement
    */
    public Integer getIsjianmIncrement(){
        return this.isjianmIncrement;
    }

    /**
    * 设置 增加 是否减免
    * @param isjianmIncrement
    */
    public void setIsjianmIncrement(Integer isjianmIncrement){
        this.isjianmIncrement = isjianmIncrement;
    }

    /**
    * 获取 是否减免
    * @return isjianmList
    */
    public List<Integer> getIsjianmList(){
        return this.isjianmList;
    }

    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public void setIsjianmList(List<Integer> isjianmList){
        this.isjianmList = isjianmList;
    }
    /**
    * 获取 开始 材料是否容缺
    * @return isLackStart
    */
    public Integer getIsLackStart(){
        return this.isLackStart;
    }

    /**
    * 设置 开始 材料是否容缺
    * @param isLackStart
    */
    public void setIsLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
    }

    /**
    * 获取 结束 材料是否容缺
    * @return isLackEnd
    */
    public Integer getIsLackEnd(){
        return this.isLackEnd;
    }

    /**
    * 设置 结束 材料是否容缺
    * @param isLackEnd
    */
    public void setIsLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
    }

    /**
    * 获取 增加 材料是否容缺
    * @return isLackIncrement
    */
    public Integer getIsLackIncrement(){
        return this.isLackIncrement;
    }

    /**
    * 设置 增加 材料是否容缺
    * @param isLackIncrement
    */
    public void setIsLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
    }

    /**
    * 获取 材料是否容缺
    * @return isLackList
    */
    public List<Integer> getIsLackList(){
        return this.isLackList;
    }

    /**
    * 设置 材料是否容缺
    * @param isLackList
    */
    public void setIsLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
    }
    /**
    * 获取 材料地址
    * @return ybUrlList
    */
    public List<String> getYbUrlList(){
        return this.ybUrlList;
    }

    /**
    * 设置 材料地址
    * @param ybUrlList
    */
    public void setYbUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
    }
    /**
    * 获取 来源渠道说明
    * @return materialSourceSmList
    */
    public List<String> getMaterialSourceSmList(){
        return this.materialSourceSmList;
    }

    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public void setMaterialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
    }
    /**
    * 获取 填报须知
    * @return remarkSubList
    */
    public List<String> getRemarkSubList(){
        return this.remarkSubList;
    }

    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public void setRemarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
    }
    /**
    * 获取 要求提供材料的依据
    * @return clauseContentList
    */
    public List<String> getClauseContentList(){
        return this.clauseContentList;
    }

    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public void setClauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 受理标准
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 受理标准
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 事项来源，0：政务网，1：自定义，默认0
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源，0：政务网，1：自定义，默认0
    * @return sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源，0：政务网，1：自定义，默认0
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public MatterDatumQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterDatumQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterDatumQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterDatumQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterDatumQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 材料名
    * @param materialName
    */
    public MatterDatumQuery materialName(String materialName){
        setMaterialName(materialName);
		return this;
    }


    /**
    * 设置 材料名
    * @param materialNameList
    */
    public MatterDatumQuery materialNameList(List<String> materialNameList){
        this.materialNameList = materialNameList;
		return this;
    }

	/**
    * 设置  事项基础表matter id
    * @param matterId
    */
    public MatterDatumQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项基础表matter id
    * @param matterIdStart
    */
    public MatterDatumQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项基础表matter id
    * @param matterIdEnd
    */
    public MatterDatumQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项基础表matter id
    * @param matterIdIncrement
    */
    public MatterDatumQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项基础表matter id
    * @param matterIdList
    */
    public MatterDatumQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }
	
	/**
    * 设置  材料形式
    * @param materialProperty
    */
    public MatterDatumQuery materialProperty(Integer materialProperty){
        setMaterialProperty(materialProperty);
		return this;
    }

    /**
    * 设置 开始 材料形式
    * @param materialPropertyStart
    */
    public MatterDatumQuery materialPropertyStart(Integer materialPropertyStart){
        this.materialPropertyStart = materialPropertyStart;
		return this;
    }


    /**
    * 设置 结束 材料形式
    * @param materialPropertyEnd
    */
    public MatterDatumQuery materialPropertyEnd(Integer materialPropertyEnd){
        this.materialPropertyEnd = materialPropertyEnd;
		return this;
    }


    /**
    * 设置 增加 材料形式
    * @param materialPropertyIncrement
    */
    public MatterDatumQuery materialPropertyIncrement(Integer materialPropertyIncrement){
        this.materialPropertyIncrement = materialPropertyIncrement;
		return this;
    }


    /**
    * 设置 材料形式
    * @param materialPropertyList
    */
    public MatterDatumQuery materialPropertyList(List<Integer> materialPropertyList){
        this.materialPropertyList = materialPropertyList;
		return this;
    }
	
	/**
    * 设置  是否必交，0 否 1 是 默认0
    * @param isMust
    */
    public MatterDatumQuery isMust(Integer isMust){
        setIsMust(isMust);
		return this;
    }

    /**
    * 设置 开始 是否必交，0 否 1 是 默认0
    * @param isMustStart
    */
    public MatterDatumQuery isMustStart(Integer isMustStart){
        this.isMustStart = isMustStart;
		return this;
    }


    /**
    * 设置 结束 是否必交，0 否 1 是 默认0
    * @param isMustEnd
    */
    public MatterDatumQuery isMustEnd(Integer isMustEnd){
        this.isMustEnd = isMustEnd;
		return this;
    }


    /**
    * 设置 增加 是否必交，0 否 1 是 默认0
    * @param isMustIncrement
    */
    public MatterDatumQuery isMustIncrement(Integer isMustIncrement){
        this.isMustIncrement = isMustIncrement;
		return this;
    }


    /**
    * 设置 是否必交，0 否 1 是 默认0
    * @param isMustList
    */
    public MatterDatumQuery isMustList(List<Integer> isMustList){
        this.isMustList = isMustList;
		return this;
    }
	
	/**
    * 设置  材料类型
    * @param materialType
    */
    public MatterDatumQuery materialType(Integer materialType){
        setMaterialType(materialType);
		return this;
    }

    /**
    * 设置 开始 材料类型
    * @param materialTypeStart
    */
    public MatterDatumQuery materialTypeStart(Integer materialTypeStart){
        this.materialTypeStart = materialTypeStart;
		return this;
    }


    /**
    * 设置 结束 材料类型
    * @param materialTypeEnd
    */
    public MatterDatumQuery materialTypeEnd(Integer materialTypeEnd){
        this.materialTypeEnd = materialTypeEnd;
		return this;
    }


    /**
    * 设置 增加 材料类型
    * @param materialTypeIncrement
    */
    public MatterDatumQuery materialTypeIncrement(Integer materialTypeIncrement){
        this.materialTypeIncrement = materialTypeIncrement;
		return this;
    }


    /**
    * 设置 材料类型
    * @param materialTypeList
    */
    public MatterDatumQuery materialTypeList(List<Integer> materialTypeList){
        this.materialTypeList = materialTypeList;
		return this;
    }
	
	/**
    * 设置  电子材料格式
    * @param electronicgs
    */
    public MatterDatumQuery electronicgs(Integer electronicgs){
        setElectronicgs(electronicgs);
		return this;
    }

    /**
    * 设置 开始 电子材料格式
    * @param electronicgsStart
    */
    public MatterDatumQuery electronicgsStart(Integer electronicgsStart){
        this.electronicgsStart = electronicgsStart;
		return this;
    }


    /**
    * 设置 结束 电子材料格式
    * @param electronicgsEnd
    */
    public MatterDatumQuery electronicgsEnd(Integer electronicgsEnd){
        this.electronicgsEnd = electronicgsEnd;
		return this;
    }


    /**
    * 设置 增加 电子材料格式
    * @param electronicgsIncrement
    */
    public MatterDatumQuery electronicgsIncrement(Integer electronicgsIncrement){
        this.electronicgsIncrement = electronicgsIncrement;
		return this;
    }


    /**
    * 设置 电子材料格式
    * @param electronicgsList
    */
    public MatterDatumQuery electronicgsList(List<Integer> electronicgsList){
        this.electronicgsList = electronicgsList;
		return this;
    }
	
	/**
    * 设置  材料来源渠道
    * @param materialSource
    */
    public MatterDatumQuery materialSource(Integer materialSource){
        setMaterialSource(materialSource);
		return this;
    }

    /**
    * 设置 开始 材料来源渠道
    * @param materialSourceStart
    */
    public MatterDatumQuery materialSourceStart(Integer materialSourceStart){
        this.materialSourceStart = materialSourceStart;
		return this;
    }


    /**
    * 设置 结束 材料来源渠道
    * @param materialSourceEnd
    */
    public MatterDatumQuery materialSourceEnd(Integer materialSourceEnd){
        this.materialSourceEnd = materialSourceEnd;
		return this;
    }


    /**
    * 设置 增加 材料来源渠道
    * @param materialSourceIncrement
    */
    public MatterDatumQuery materialSourceIncrement(Integer materialSourceIncrement){
        this.materialSourceIncrement = materialSourceIncrement;
		return this;
    }


    /**
    * 设置 材料来源渠道
    * @param materialSourceList
    */
    public MatterDatumQuery materialSourceList(List<Integer> materialSourceList){
        this.materialSourceList = materialSourceList;
		return this;
    }
	
	/**
    * 设置  纸质材料份数
    * @param paperNum
    */
    public MatterDatumQuery paperNum(Integer paperNum){
        setPaperNum(paperNum);
		return this;
    }

    /**
    * 设置 开始 纸质材料份数
    * @param paperNumStart
    */
    public MatterDatumQuery paperNumStart(Integer paperNumStart){
        this.paperNumStart = paperNumStart;
		return this;
    }


    /**
    * 设置 结束 纸质材料份数
    * @param paperNumEnd
    */
    public MatterDatumQuery paperNumEnd(Integer paperNumEnd){
        this.paperNumEnd = paperNumEnd;
		return this;
    }


    /**
    * 设置 增加 纸质材料份数
    * @param paperNumIncrement
    */
    public MatterDatumQuery paperNumIncrement(Integer paperNumIncrement){
        this.paperNumIncrement = paperNumIncrement;
		return this;
    }


    /**
    * 设置 纸质材料份数
    * @param paperNumList
    */
    public MatterDatumQuery paperNumList(List<Integer> paperNumList){
        this.paperNumList = paperNumList;
		return this;
    }
	
	/**
    * 设置  纸质材料规格
    * @param paperGg
    */
    public MatterDatumQuery paperGg(Integer paperGg){
        setPaperGg(paperGg);
		return this;
    }

    /**
    * 设置 开始 纸质材料规格
    * @param paperGgStart
    */
    public MatterDatumQuery paperGgStart(Integer paperGgStart){
        this.paperGgStart = paperGgStart;
		return this;
    }


    /**
    * 设置 结束 纸质材料规格
    * @param paperGgEnd
    */
    public MatterDatumQuery paperGgEnd(Integer paperGgEnd){
        this.paperGgEnd = paperGgEnd;
		return this;
    }


    /**
    * 设置 增加 纸质材料规格
    * @param paperGgIncrement
    */
    public MatterDatumQuery paperGgIncrement(Integer paperGgIncrement){
        this.paperGgIncrement = paperGgIncrement;
		return this;
    }


    /**
    * 设置 纸质材料规格
    * @param paperGgList
    */
    public MatterDatumQuery paperGgList(List<Integer> paperGgList){
        this.paperGgList = paperGgList;
		return this;
    }
	/**
    * 设置 纸质材料规格文本
    * @param paperGgText
    */
    public MatterDatumQuery paperGgText(String paperGgText){
        setPaperGgText(paperGgText);
		return this;
    }


    /**
    * 设置 纸质材料规格文本
    * @param paperGgTextList
    */
    public MatterDatumQuery paperGgTextList(List<String> paperGgTextList){
        this.paperGgTextList = paperGgTextList;
		return this;
    }
	
	/**
    * 设置  减免模式
    * @param jianmMs
    */
    public MatterDatumQuery jianmMs(Integer jianmMs){
        setJianmMs(jianmMs);
		return this;
    }

    /**
    * 设置 开始 减免模式
    * @param jianmMsStart
    */
    public MatterDatumQuery jianmMsStart(Integer jianmMsStart){
        this.jianmMsStart = jianmMsStart;
		return this;
    }


    /**
    * 设置 结束 减免模式
    * @param jianmMsEnd
    */
    public MatterDatumQuery jianmMsEnd(Integer jianmMsEnd){
        this.jianmMsEnd = jianmMsEnd;
		return this;
    }


    /**
    * 设置 增加 减免模式
    * @param jianmMsIncrement
    */
    public MatterDatumQuery jianmMsIncrement(Integer jianmMsIncrement){
        this.jianmMsIncrement = jianmMsIncrement;
		return this;
    }


    /**
    * 设置 减免模式
    * @param jianmMsList
    */
    public MatterDatumQuery jianmMsList(List<Integer> jianmMsList){
        this.jianmMsList = jianmMsList;
		return this;
    }
	
	/**
    * 设置  盖章方式
    * @param sealWay
    */
    public MatterDatumQuery sealWay(Integer sealWay){
        setSealWay(sealWay);
		return this;
    }

    /**
    * 设置 开始 盖章方式
    * @param sealWayStart
    */
    public MatterDatumQuery sealWayStart(Integer sealWayStart){
        this.sealWayStart = sealWayStart;
		return this;
    }


    /**
    * 设置 结束 盖章方式
    * @param sealWayEnd
    */
    public MatterDatumQuery sealWayEnd(Integer sealWayEnd){
        this.sealWayEnd = sealWayEnd;
		return this;
    }


    /**
    * 设置 增加 盖章方式
    * @param sealWayIncrement
    */
    public MatterDatumQuery sealWayIncrement(Integer sealWayIncrement){
        this.sealWayIncrement = sealWayIncrement;
		return this;
    }


    /**
    * 设置 盖章方式
    * @param sealWayList
    */
    public MatterDatumQuery sealWayList(List<Integer> sealWayList){
        this.sealWayList = sealWayList;
		return this;
    }
	/**
    * 设置 盖章方式文本显示
    * @param sealWayText
    */
    public MatterDatumQuery sealWayText(String sealWayText){
        setSealWayText(sealWayText);
		return this;
    }


    /**
    * 设置 盖章方式文本显示
    * @param sealWayTextList
    */
    public MatterDatumQuery sealWayTextList(List<String> sealWayTextList){
        this.sealWayTextList = sealWayTextList;
		return this;
    }
	
	/**
    * 设置  是否减免
    * @param isjianm
    */
    public MatterDatumQuery isjianm(Integer isjianm){
        setIsjianm(isjianm);
		return this;
    }

    /**
    * 设置 开始 是否减免
    * @param isjianmStart
    */
    public MatterDatumQuery isjianmStart(Integer isjianmStart){
        this.isjianmStart = isjianmStart;
		return this;
    }


    /**
    * 设置 结束 是否减免
    * @param isjianmEnd
    */
    public MatterDatumQuery isjianmEnd(Integer isjianmEnd){
        this.isjianmEnd = isjianmEnd;
		return this;
    }


    /**
    * 设置 增加 是否减免
    * @param isjianmIncrement
    */
    public MatterDatumQuery isjianmIncrement(Integer isjianmIncrement){
        this.isjianmIncrement = isjianmIncrement;
		return this;
    }


    /**
    * 设置 是否减免
    * @param isjianmList
    */
    public MatterDatumQuery isjianmList(List<Integer> isjianmList){
        this.isjianmList = isjianmList;
		return this;
    }
	
	/**
    * 设置  材料是否容缺
    * @param isLack
    */
    public MatterDatumQuery isLack(Integer isLack){
        setIsLack(isLack);
		return this;
    }

    /**
    * 设置 开始 材料是否容缺
    * @param isLackStart
    */
    public MatterDatumQuery isLackStart(Integer isLackStart){
        this.isLackStart = isLackStart;
		return this;
    }


    /**
    * 设置 结束 材料是否容缺
    * @param isLackEnd
    */
    public MatterDatumQuery isLackEnd(Integer isLackEnd){
        this.isLackEnd = isLackEnd;
		return this;
    }


    /**
    * 设置 增加 材料是否容缺
    * @param isLackIncrement
    */
    public MatterDatumQuery isLackIncrement(Integer isLackIncrement){
        this.isLackIncrement = isLackIncrement;
		return this;
    }


    /**
    * 设置 材料是否容缺
    * @param isLackList
    */
    public MatterDatumQuery isLackList(List<Integer> isLackList){
        this.isLackList = isLackList;
		return this;
    }
	/**
    * 设置 材料地址
    * @param ybUrl
    */
    public MatterDatumQuery ybUrl(String ybUrl){
        setYbUrl(ybUrl);
		return this;
    }


    /**
    * 设置 材料地址
    * @param ybUrlList
    */
    public MatterDatumQuery ybUrlList(List<String> ybUrlList){
        this.ybUrlList = ybUrlList;
		return this;
    }
	/**
    * 设置 来源渠道说明
    * @param materialSourceSm
    */
    public MatterDatumQuery materialSourceSm(String materialSourceSm){
        setMaterialSourceSm(materialSourceSm);
		return this;
    }


    /**
    * 设置 来源渠道说明
    * @param materialSourceSmList
    */
    public MatterDatumQuery materialSourceSmList(List<String> materialSourceSmList){
        this.materialSourceSmList = materialSourceSmList;
		return this;
    }
	/**
    * 设置 填报须知
    * @param remarkSub
    */
    public MatterDatumQuery remarkSub(String remarkSub){
        setRemarkSub(remarkSub);
		return this;
    }


    /**
    * 设置 填报须知
    * @param remarkSubList
    */
    public MatterDatumQuery remarkSubList(List<String> remarkSubList){
        this.remarkSubList = remarkSubList;
		return this;
    }
	/**
    * 设置 要求提供材料的依据
    * @param clauseContent
    */
    public MatterDatumQuery clauseContent(String clauseContent){
        setClauseContent(clauseContent);
		return this;
    }


    /**
    * 设置 要求提供材料的依据
    * @param clauseContentList
    */
    public MatterDatumQuery clauseContentList(List<String> clauseContentList){
        this.clauseContentList = clauseContentList;
		return this;
    }
	/**
    * 设置 备注
    * @param remark
    */
    public MatterDatumQuery remark(String remark){
        setRemark(remark);
		return this;
    }


    /**
    * 设置 备注
    * @param remarkList
    */
    public MatterDatumQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }
	/**
    * 设置 受理标准
    * @param summary
    */
    public MatterDatumQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 受理标准
    * @param summaryList
    */
    public MatterDatumQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }
	
	/**
    * 设置  事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public MatterDatumQuery source(Integer source){
        setSource(source);
		return this;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public MatterDatumQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
		return this;
    }


    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public MatterDatumQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
		return this;
    }


    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public MatterDatumQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
		return this;
    }


    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public MatterDatumQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public MatterDatumQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public MatterDatumQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public MatterDatumQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public MatterDatumQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MatterDatumQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MatterDatumQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public MatterDatumQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public MatterDatumQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterDatumQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterDatumQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterDatumQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterDatumQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}